Creates a batch job.

### HTTP request

`POST https://storagebatchoperations.googleapis.com/v1/{parent=projects/*/locations/*}/jobs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The value for parent. |

### Query parameters

| Parameters ||
|---|---|
| `jobId` | `string` Required. A unique identifier for the job. `jobId` must be up to 128 characters and must include only characters available in DNS names, as defined by RFC-1123. |
| `requestId` | `string` Optional. An optional request ID to identify requests. Specify a unique request ID in case you need to retry your request. Requests with same `requestId` are ignored for at least 60 minutes since the first request. The request ID must be a valid UUID with the exception that zero UUID isn't supported (00000000-0000-0000-0000-000000000000). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/storage/docs/storagebatchoperations/reference/rest/v1/projects.locations.jobs#Job`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/storage/docs/storagebatchoperations/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `storagebatchoperations.jobs.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).